Send a message
curl --request POST \
--url https://take.app/api/v2/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "<string>",
"template": "<string>",
"language": "<string>",
"parameters": {}
}
'import requests
url = "https://take.app/api/v2/messages"
payload = {
"to": "<string>",
"template": "<string>",
"language": "<string>",
"parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '<string>', template: '<string>', language: '<string>', parameters: {}})
};
fetch('https://take.app/api/v2/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "message",
"to": "<string>",
"template": "<string>",
"status": "sent"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}Messages
Send message
Sends a single WhatsApp message using one of the store’s approved broadcast templates. Map the template body variables via the named parameters object.
POST
/
api
/
v2
/
messages
Send a message
Authorizations
Merchant API V2 token. Pass as Authorization: Bearer <token>.
Body
application/json
Recipient phone number, digits only, no leading "+".
Minimum string length:
1Name of an approved broadcast template to send.
Minimum string length:
1Template language code (e.g. "en"). Defaults to the template language.
Named body variable values, e.g. { "customer_name": "John" }.
Show child attributes
Show child attributes
⌘I